/*
 =======================================================================================
  Name        : DX6_Caps.h
  Author      : vincent lhullier            Date :30/10/98
  Description : capabilities of driver (depend on hardware)
 =======================================================================================
 */
 
#ifndef __DX6_CAPS_H__
#define __DX6_CAPS_H__
 
#include "d3d.h"
#include "ddraw.h"
#include "DLLCaps.h"
 
#define GLI_DX6_TexFormat4444		0
#define GLI_DX6_TexFormat1555		1
#define GLI_DX6_TexFormat565		2
#define GLI_DX6_TexFormatPalette8	3
#define GLI_DX6_TexFormat888        4
#define GLI_DX6_TexFormat8888       5
 
#define GLI_DX6_TexNbFormats        6
 
HRESULT GLI_DX6_hGetVideoMemory( LPDIRECTDRAW4 _pDD4, long _lDDSCaps, unsigned long *_ulTotal, unsigned long *_ulLeft );
 
HRESULT GLI_DX6_fn_hGetDriverCaps( tdstGliCaps *_pst_Caps, long _lFlags, LPDIRECTDRAW4 _pDD4 );
HRESULT GLI_DX6_fn_hGetDeviceCaps( tdstGliCaps *_pst_Caps, LPDIRECTDRAW4 _pDD4, D3DDEVICEDESC *_pst_DevDesc );
HRESULT GLI_DX6_fn_hGetPixelFormats( void );
 
void    GLI_DX6_fn_vGetPixelFormat( char _ucFormatAsked, DDPIXELFORMAT *_p_stPixelFormat );
 
void    GLI_DX6_fn_vPrecalculateTextureSize( void );
long    GLI_DX6_fn_lGetPrecalculatedTextureSize( char _cTexFormat, char _cMipmap, long _lWidth, long _lHeight );
 
#endif
